Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.automata
Interface StateMachineFactory

    public interface StateMachineFactory

Class that produces StateMachineInstance objects.

Since:
  1.4
Author:
  David Huen

Method Summary
`void` | `setListener(PatternListener listener)`
`StateMachineInstance` | `startInstance(int symIdx, int start)` Return a StateMachineInstance if the Symbol represented by the symbol index is valid as the initial symbol of the pattern.

Method Detail

### startInstance

    StateMachineInstance startInstance(int symIdx,
                                       int start)

  Return a StateMachineInstance if the Symbol represented by the symbol index is valid as the initial symbol of the pattern. The returned StateMachineInstance will have its statepointer updated to show receipt of the specified symbol. This method should not be used outside of the package as it does no alphabet checks at all. It should be package-private except I cannot define an interface with such methods.

  Parameters:
    `symIdx` - alphabet index value for specified symbol.
  Returns:
    an instance of StateMachineInstance if symbol is valid otherwise null.

### setListener

    void setListener(PatternListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD